## org.eclipse.emf.codegen
Class CodeGen

    java.lang.Object
      org.eclipse.emf.codegen.CodeGen

Direct Known Subclasses:
  Generator

    public class CodeGen

extends java.lang.Object

This class implements some reusable static utility methods. It also implements the method `run(java.lang.Object)`, which is called just like main during headless workbench invocation.

Nested Class Summary
`static class` `CodeGen.PlatformRunnable`
`static class` `CodeGen.StreamProgressMonitor` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

Constructor Summary
`CodeGen()`

Method Summary
`static void` `addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, java.lang.String pluginID)` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.
`static void` `addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, java.lang.String variableName, java.lang.String pluginID)` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.
`static IContainer` `findOrCreateContainer(IPath path, boolean forceRefresh, IPath localLocation, IProgressMonitor progressMonitor)` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.
`static IContainer` `findOrCreateContainer(IPath path, boolean forceRefresh, IProjectDescription projectDescription, IProgressMonitor progressMonitor)` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.
`static java.util.List<java.lang.String>` `getClasspathPaths(java.lang.String pluginID)` Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.
`java.lang.Object` `run(java.lang.Object object)` This is called with the command line arguments of a headless workbench invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeGen

    public CodeGen()

Method Detail

### findOrCreateContainer

    @Deprecated
    public static IContainer findOrCreateContainer(IPath path,
                                                              boolean forceRefresh,
                                                              IPath localLocation,
                                                              IProgressMonitor progressMonitor)
                                            throws CoreException

  Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

  Throws:
    `CoreException`

### findOrCreateContainer

    @Deprecated
    public static IContainer findOrCreateContainer(IPath path,
                                                              boolean forceRefresh,
                                                              IProjectDescription projectDescription,
                                                              IProgressMonitor progressMonitor)
                                            throws CoreException

  Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

  Throws:
    `CoreException`

### getClasspathPaths

    @Deprecated
    public static java.util.List<java.lang.String> getClasspathPaths(java.lang.String pluginID)
                                                              throws JETException

  Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

  Throws:
    `JETException`

### addClasspathEntries

    @Deprecated
    public static void addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                                                      java.lang.String variableName,
                                                      java.lang.String pluginID)
                                    throws JETException

  Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

  Throws:
    `JETException`

### addClasspathEntries

    @Deprecated
    public static void addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                                                      java.lang.String pluginID)
                                    throws java.lang.Exception

  Deprecated. As of EMF 2.1.0, moved to `CodeGenUtil`.

  Throws:
    `java.lang.Exception`

### run

    public java.lang.Object run(java.lang.Object object)

  This is called with the command line arguments of a headless workbench invocation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.